/*
 * grunt-cptpl-underscore
 * https://github.com/XIAOGUIGUI/grunt-cptpl-underscore
 *
 * Copyright (c) 2014 hanan
 * Licensed under the MIT license.
 */

'use strict';

module.exports = function (grunt) {

    // Project configuration.
    grunt.initConfig({

        // Before generating any new files, remove any previously-created files.
        clean: {
            tests: ['tmp']
        },

        // Configuration to be run (and then tested).
        cptpl: {
            test: {
                options: {
                    engine: 'myEngine',
                    customEngines: {
                        myEngine: function (t) {
                            return 'myEngine.compile(' + t + ');'
                        }
                    }
                },
                files: {
                    'tmp/': ['test/html/abc.html']
                }
            }
        }

    });

    // Actually load this plugin's task(s).
    grunt.loadTasks('tasks');

    // These plugins provide necessary tasks.
    grunt.loadNpmTasks('grunt-contrib-clean');

    // Whenever the "test" task is run, first clean the "tmp" dir, then run this
    // plugin's task(s), then test the result.
    grunt.registerTask('test', ['clean', 'cptpl']);

    // By default, lint and run all tests.
    grunt.registerTask('default', ['test']);

};
